org.eclipse.oomph.targlets.core

## Interface ITargletContainer

- All Superinterfaces:
    IAdaptable, org.eclipse.pde.core.target.ITargetLocation

      public interface ITargletContainer
      extends org.eclipse.pde.core.target.ITargetLocation

  Author:
    Eike Stepper

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `IU_PROPERTY_SOURCE`
    `static String` | `TYPE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `forceUpdate(boolean activateTargetDefinition, boolean mirrors, IProgressMonitor monitor)`
    `ITargletContainerDescriptor` | `getDescriptor()`
    `String` | `getDigest()`
    `String` | `getEnvironmentProperties()`
    `String` | `getID()`
    `String` | `getNLProperty()`
    `org.eclipse.pde.core.target.ITargetDefinition` | `getTargetDefinition()`
    `Targlet` | `getTarglet(String name)` Returns a copy of the targlet with the given name in this targlet container.
    `int` | `getTargletIndex(String name)`
    `EList<Targlet>` | `getTarglets()` Returns a copy of the targlets in this targlet container.
    `boolean` | `hasTarglet(String name)`
    `boolean` | `isIncludeAllPlatforms()`
    `boolean` | `isIncludeSources()`
    `void` | `setID(String newID)`
    `void` | `setTarglets(Collection<? extends Targlet> targlets)` Copies the passed targlets into this targlet container.
    `IStatus` | `updateProfile(IProgressMonitor monitor)`

    - ### Methods inherited from interface org.eclipse.pde.core.target.ITargetLocation

      `getBundles, getFeatures, getLocation, getStatus, getType, getVMArguments, isResolved, resolve, serialize`

    - ### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

      `getAdapter`

- - ### Field Detail

    - #### TYPE

          static final String TYPE

      See Also:
        Constant Field Values

    - #### IU_PROPERTY_SOURCE

          static final String IU_PROPERTY_SOURCE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getID

          String getID()

    - #### setID

          void setID(String newID)
                     throws CoreException

      Throws:
        `CoreException`

    - #### getDescriptor

          ITargletContainerDescriptor getDescriptor()

    - #### getTargetDefinition

          org.eclipse.pde.core.target.ITargetDefinition getTargetDefinition()

    - #### getTarglet

          Targlet getTarglet(String name)

      Returns a copy of the targlet with the given name in this targlet container. This copy can be freely modified but the modifications won't have an impact on a targlet container unless the copy is set back into a container via `setTarglets(Collection)`.

    - #### getTargletIndex

          int getTargletIndex(String name)

    - #### hasTarglet

          boolean hasTarglet(String name)

    - #### getTarglets

          EList<Targlet> getTarglets()

      Returns a copy of the targlets in this targlet container. This copy can be freely modified but the modifications won't have an impact on a targlet container unless the copy is set back into a container via `setTarglets(Collection)`.

    - #### setTarglets

          void setTarglets(Collection<? extends Targlet> targlets)
                           throws CoreException

      Copies the passed targlets into this targlet container. Modifications of the passed targlets after the call to this method won't have an impact on this targlet container.
      Throws:
        `CoreException`

    - #### isIncludeSources

          boolean isIncludeSources()

    - #### isIncludeAllPlatforms

          boolean isIncludeAllPlatforms()

    - #### getEnvironmentProperties

          String getEnvironmentProperties()

    - #### getNLProperty

          String getNLProperty()

    - #### getDigest

          String getDigest()

    - #### forceUpdate

          void forceUpdate(boolean activateTargetDefinition,
                         boolean mirrors,
                         IProgressMonitor monitor)
                           throws CoreException

      Throws:
        `CoreException`

    - #### updateProfile

          IStatus updateProfile(IProgressMonitor monitor)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html